/****************************************************************************
**
** DCOP Stub Definition created by dcopidl2cpp from weatherservice.kidl
**
** WARNING! All changes made in this file will be lost!
**
*****************************************************************************/

#ifndef __WEATHERSERVICE_STUB__
#define __WEATHERSERVICE_STUB__

#include <dcopstub.h>
#include <tqpixmap.h>
#include <dcopobject.h>
#include <tqstringlist.h>


class WeatherService_stub : virtual public DCOPStub
{
public:
    WeatherService_stub( const TQCString& app, const TQCString& id );
    WeatherService_stub( DCOPClient* client, const TQCString& app, const TQCString& id );
    explicit WeatherService_stub( const DCOPRef& ref );
    virtual TQString temperature( const TQString& stationID );
    virtual TQString dewPoint( const TQString& stationID );
    virtual TQString relativeHumidity( const TQString& stationID );
    virtual TQString heatIndex( const TQString& stationID );
    virtual TQString windChill( const TQString& stationID );
    virtual TQString wind( const TQString& stationID );
    virtual TQString pressure( const TQString& stationID );
    virtual TQPixmap icon( const TQString& stationID, uint iconSize );
    virtual TQString iconName( const TQString& stationID, uint iconSize );
    virtual TQString iconPath( const TQString& stationID, uint iconSize );
    virtual TQString date( const TQString& stationID );
    virtual TQString visibility( const TQString& stationID );
    virtual TQStringList cover( const TQString& stationID );
    virtual TQStringList weather( const TQString& stationID );
    virtual bool stationNeedsMaintenance( const TQString& stationID );
    virtual bool weatherDataAvailable( const TQString& stationID );
    virtual TQString stationName( const TQString& stationID );
    virtual TQString stationCountry( const TQString& stationID );
    virtual TQString longitude( const TQString& stationID );
    virtual TQString latitude( const TQString& stationID );
    virtual TQStringList findStations( float lon, float lat );
    virtual TQString sunRiseTime( const TQString& stationID );
    virtual TQString sunSetTime( const TQString& stationID );
    virtual TQString civilTwilightStart( const TQString& stationID );
    virtual TQString civilTwilightEnd( const TQString& stationID );
    virtual void update( const TQString& stationID );
    virtual void updateAll();
    virtual void forceUpdate( const TQString& stationID );
    virtual void forceUpdateAll();
    virtual void removeStation( const TQString& stationID );
    virtual void addStation( const TQString& stationID );
    virtual TQStringList listStations();
    virtual TQString stationCode( const TQString& stationName );
    virtual void useIconTheme( bool use );
    virtual bool usingIconTheme();
    virtual void exit();
protected:
    WeatherService_stub() : DCOPStub( never_use ) {}
};


#endif
